"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RadioContext = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _FormControl = require("../../composites/FormControl");

var _radio = require("@react-stately/radio");

var _radio2 = require("@react-native-aria/radio");

var _useHasResponsiveProps = require("../../../hooks/useHasResponsiveProps");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const RadioContext = /*#__PURE__*/_react.default.createContext({});

exports.RadioContext = RadioContext;

const RadioGroup = ({
  size,
  colorScheme,
  ...props
}, ref) => {
  const formControlContext = (0, _FormControl.useFormControlContext)();
  const state = (0, _radio.useRadioGroupState)(props);
  const {
    radioGroupProps
  } = (0, _radio2.useRadioGroup)({ ...formControlContext,
    ...props,
    'aria-label': props.accessibilityLabel
  }, state); //TODO: refactor for responsive prop

  if ((0, _useHasResponsiveProps.useHasResponsiveProps)({ ...props,
    size,
    colorScheme
  })) {
    return null;
  }

  return /*#__PURE__*/_react.default.createElement(_Box.default, {
    ref: ref
  }, /*#__PURE__*/_react.default.createElement(RadioContext.Provider, {
    value: { ...formControlContext,
      size,
      colorScheme,
      state
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    alignItems: "flex-start"
  }, radioGroupProps, props), props.children)));
};

var _default = /*#__PURE__*/(0, _react.memo)( /*#__PURE__*/(0, _react.forwardRef)(RadioGroup));

exports.default = _default;
//# sourceMappingURL=RadioGroup.js.map